package main

import (
	"fmt"
	"os/exec"
)

func convertToPDF(source string, outputName string, latexPath string) string {

	arguments := "/bin/env pandoc "

	arguments += "--number-sections "
	arguments += "--variable \"geometry:a4paper,margin=2cm\" "
	arguments += "--variable fontsize=12pt "
	arguments += "--variable version=2.0 "
	arguments += source + " "
	arguments += "--pdf-engine=xelatex "
	arguments += "--listings "

	if latexPath != "" {
		arguments += "--template=" + latexPath + " "
	}

	arguments += "--columns=5 "
	arguments += "--highlight-style espresso "
	arguments += "--toc "
	arguments += "--output=" + outputName + " "

	cmd, err := exec.Command("bash", "-c", arguments).Output()
	if err != nil {

		exitErr, ok := err.(*exec.ExitError)
		if ok {
			printErrorAndExit(2, string(exitErr.Stderr))

		} else {
			printErrorAndExit(2, err.Error())
		}

	}

	fmt.Println(string(cmd))

	return string(cmd)

}
